const system = require("../../../system");
const {PDICT} = require("../../../../config/platform");
/**
 * 服务商信息
 */
module.exports = (db, DataTypes) => {
  return db.define("serviceInfo", {

    servicer_code: DataTypes.STRING(100),//服务商code
    apply_type:
    {
      type: DataTypes.INTEGER,
      set: function (val) {
        this.setDataValue("apply_type", val);
        this.setDataValue("apply_type_name", PDICT.apply_type[val]);
      }
    },
    apply_type_name: DataTypes.STRING(50),
    // servicer_about
    servicer_name: DataTypes.STRING(255),//服务商名称
    servicer_short_name: DataTypes.STRING(255),//服务商简称
    bank_account: DataTypes.STRING(255),
    bank_account_num: DataTypes.STRING(255),
    sub_bank_account: DataTypes.STRING(255),
    sub_bank_account_num: DataTypes.STRING(255),
    // province_name
    // city_name
    region_name: DataTypes.STRING(255),
    servicer_address: DataTypes.STRING(255),
    push_domain_addr: DataTypes.STRING(500),//推送域名地址
    is_enabled: DataTypes.INTEGER,//是否启用
    principal_name: DataTypes.STRING(255),
    principal_mobile: DataTypes.STRING(255),
    business_license: DataTypes.STRING(500),//营业执照
    // business_license_address: DataTypes.STRING(500),//营业执照地址
    credit_code: DataTypes.STRING(50),//统一社会信用代码
    legal_identity_card: DataTypes.STRING(200),//法人身份证
    legal_name: DataTypes.STRING(20),//法人姓名
    legal_mobile: DataTypes.STRING(20),//法人手机号
    legal_identity_card_no: DataTypes.STRING(20),//法人身份证号
    settlement_cycle:
    {
      type: DataTypes.INTEGER,
      set: function (val) {
        this.setDataValue("settlement_cycle", val);
        this.setDataValue("settlement_cycle_name", PDICT.settlement_cycle[val]);
      }
    },
    settlement_cycle_name: DataTypes.STRING(50),

  }, {
      paranoid: false,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      timestamps: true,
      tableName: 'x_service_info',
      validate: {
      },
      indexes: [
       
      ]
    });
}